<!--
Switch year bar : Barre qui s'affiche lorsque l'utilisateur n'est pas dans un environnement de production
-->

<template>
  <UiSystemBar color="ot_warning" v-if="show">
    <template #bar.text>
      <v-icon small>fas fa-exclamation-triangle</v-icon> {{$t('not_production_environment', { env })}}
    </template>
  </UiSystemBar>
</template>

<script lang="ts">
import { defineComponent} from '@nuxtjs/composition-api'

export default defineComponent({
  setup () {
    return{
      show: process.env.NODE_ENV !== 'production',
      env: process.env.NODE_ENV
    }
  }
})
</script>
